Skip to main content

Workspace Identity Detail

View as Markdown

WorkspaceIdentityDetail object​

The details of a directly or indirectly assigned principal's details in a workspace.

namestringIDImmutable

The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail

principal_idint64Output only

The internal ID of the principal (user/sp/group) in Databricks.

principal_typestringOutput only

The type of the principal (user/service principal/group).

Values:

  • USER
  • SERVICE_PRINCIPAL
  • GROUP
workspace_identity_statusstring

The activity status of an identity in a Databricks workspace.

Values:

  • ACTIVE
  • INACTIVE
assignment_typestringOutput only

The type of assignment the principal has to the workspace (direct or indirect).

Values:

  • DIRECT
  • INDIRECT

Get workspace identity details for a principal GA​

GET /api/2.0/identity/{name=principals/*/workspace-identity-detail}

Returns the identity details for a principal in a workspace.

API scopes: identity

Parameters​

namestringRequiredpath

The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail

Response​

Returns the WorkspaceIdentityDetail object.

Update workspace identity details for a principal GA​

PATCH /api/2.0/identity/{name=principals/*/workspace-identity-detail}

1 more path

PATCH /api/2.0/identity/{name=workspace-identity-details/*}

Updates a workspace identity detail for a principal.

API scopes: identity

Parameters​

namestringRequiredIDImmutablepath

The resource name of the workspace identity detail. Format: principals/{principal_id}/workspace-identity-detail

update_maskstringRequiredquery

Required. The list of fields to update.

Request body​

Required. Workspace identity detail to be updated in Databricks.

workspace_identity_statusstring

The activity status of an identity in a Databricks workspace.

Values:

  • ACTIVE
  • INACTIVE

Response​

Returns the WorkspaceIdentityDetail object.